Index: trunk/language/ja_JP/admin.lang.php
===================================================================
--- trunk/language/ja_JP/admin.lang.php	(revision 6969)
+++ trunk/language/ja_JP/admin.lang.php	(revision 6988)
@@ -66,5 +66,5 @@
 $lang['Categories authorized thanks to group associations'] = 'グループの関連付けによりカテゴリが許可されました。';
 $lang['Album manual order was saved'] = 'カテゴリの手動順が保存されました。';
-$lang['Category elements associated to the following categories: %s'] = '以下のカテゴリに関連するカテゴリエレメント: %s';
+$lang['Album elements associated to the following albums: %s'] = '以下のカテゴリに関連するカテゴリエレメント: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = '不明な理由により、アップグレードのチェックが失敗しました。';
 $lang['Check for upgrade'] = 'アップグレードをチェックする';
@@ -104,10 +104,10 @@
 $lang['Informations'] = '情報';
 $lang['Install'] = 'インストール';
-$lang['Link all category elements to a new category'] = 'すべてのカテゴリエレメントを新しいカテゴリにリンクする';
-$lang['Link all category elements to some existing categories'] = 'すべてのカテゴリエレメントを既存のカテゴリにリンクする';
+$lang['Link all album elements to a new album'] = 'すべてのカテゴリエレメントを新しいカテゴリにリンクする';
+$lang['Link all album elements to some existing albums'] = 'すべてのカテゴリエレメントを既存のカテゴリにリンクする';
 $lang['Linked albums'] = 'リンクカテゴリ';
 $lang['Lock gallery'] = 'ギャラリーをロックする';
 $lang['Maintenance'] = 'メンテナンス';
-$lang['Manage permissions for a category'] = 'カテゴリのパーミッションを管理する';
+$lang['Edit album permissions'] = 'カテゴリのパーミッションを管理する';
 $lang['Manage permissions for group "%s"'] = 'グループ「 %s 」のパーミッションを管理する';
 $lang['Manage permissions for user "%s"'] = 'ユーザ「 %s 」のパーミッションを管理する';
@@ -157,5 +157,5 @@
 $lang['Save order'] = '表示順を保存する';
 $lang['Save to permalink history'] = 'パーマネントリンク履歴に保存する';
-$lang['Select at least one category'] = '少なくとも1つのカテゴリを選択してください。';
+$lang['Select at least one album'] = '少なくとも1つのカテゴリを選択してください。';
 $lang['Select at least one picture'] = '少なくとも1つの写真を選択してください。';
 $lang['Select at least one user'] = '少なくとも1名のユーザを選択してください。';
@@ -179,20 +179,19 @@
 $lang['Validation'] = '承認';
 $lang['Version'] = 'バージョン';
-$lang['Virtual categories movement'] = 'バーチャルカテゴリの移動';
-$lang['Virtual categories to move'] = '移動するバーチャルカテゴリ';
+$lang['Virtual albums to move'] = '移動するバーチャルカテゴリ';
 $lang['Virtual album name'] = 'バーチャルカテゴリ名';
 $lang['Webmaster cannot be deleted'] = 'ウェブマスタは削除できません。';
 $lang['You are running on development sources, no check possible.'] = 'あなたは開発版を使用しているため、チェックすることはできません。';
 $lang['You cannot delete your account'] = "あなた自身のアカウントを削除できません。";
-$lang['You cannot move a category in its own sub category'] = 'あなたは、カテゴリをサブカテゴリに移動できません。';
+$lang['You cannot move a album in its own sub album'] = 'あなたは、カテゴリをサブカテゴリに移動できません。';
 $lang['You need to confirm deletion'] = 'あなたは、削除を確認する必要があります。';
 $lang['add tags'] = 'タグを追加する';
 $lang['Adviser'] = 'アドバイザ';
-$lang['associate to category'] = 'カテゴリに関連付ける';
+$lang['Associate to album'] = 'カテゴリに関連付ける';
 $lang['associate to group'] = 'グループに関連付ける';
 $lang['Authorized'] = '承認';
 $lang['Add a virtual album'] = 'バーチャルカテゴリを追加する';
 $lang['Authorize users to add comments on selected categories'] = '選択されたカテゴリにユーザのコメント追加を許可する';
-$lang['The name of a category should not be empty'] = 'カテゴリ名は空白にしないでください。';
+$lang['The name of an album must not be empty'] = 'カテゴリ名は空白にしないでください。';
 $lang['Lock albums'] = 'カテゴリをロックする';
 $lang['Private'] = 'プライベートカテゴリ';
@@ -215,9 +214,9 @@
 $lang['confirm'] = '確認';
 $lang['Date'] = '日付';
-$lang['delete category'] = 'カテゴリを削除する';
-$lang['dissociate from category'] = 'カテゴリから関連付けを解除する';
+$lang['delete album'] = 'カテゴリを削除する';
+$lang['Dissociate from album'] = 'カテゴリから関連付けを解除する';
 $lang['dissociate from group'] = 'グループから関連付けを解除する';
-$lang['edit category permissions'] = 'カテゴリパーミッションを編集する';
-$lang['Category informations updated successfully.'] = 'カテゴリ情報が正常に更新されました。';
+$lang['edit album permissions'] = 'カテゴリパーミッションを編集する';
+$lang['Album updated successfully'] = 'カテゴリ情報が正常に更新されました。';
 $lang['Authorize upload'] = 'アップロードを許可する';
 $lang['elements per page'] = '1ページあたりのエレメント';
@@ -237,11 +236,11 @@
 $lang[''] = '';
 $lang['High definition'] = '高解像度';
-$lang['jump to category'] = 'カテゴリにジャンプする';
+$lang['jump to album'] = 'カテゴリにジャンプする';
 $lang['jump to image'] = 'イメージにジャンプする';
 $lang['leave'] = '変更なし';
 $lang['Lock'] = 'ロック';
 $lang['Locked'] = 'ロック済み';
-$lang['manage category elements'] = 'カテゴリエレメントを管理する';
-$lang['manage sub-categories'] = 'サブカテゴリを管理する';
+$lang['manage album elements'] = 'カテゴリエレメントを管理する';
+$lang['manage sub-albums'] = 'サブカテゴリを管理する';
 $lang['Manage'] = '管理';
 $lang['maximum height'] = '最大高';
@@ -389,5 +388,5 @@
 $lang['Unlocked'] = '未ロック';
 $lang['unset'] = '設定解除';
-$lang['Update categories informations'] = 'カテゴリ情報を更新する';
+$lang['Update albums informations'] = 'カテゴリ情報を更新する';
 $lang['Update images informations'] = 'イメージ情報を更新する';
 $lang['Synchronize'] = '同期化';
@@ -647,5 +646,5 @@
 $lang['existing category'] = '存在しているカテゴリー';
 $lang['create a new category'] = '新しいカテゴリーを作成する';
-$lang['Category name'] = 'カテゴリー名';
+$lang['Album name'] = 'カテゴリー名';
 $lang['Category "%s" has been added'] = '"%s"のカテゴリーは追加された';
 $lang['Uploaded Photos'] = 'アップロードされた写真';