Index: trunk/language/it_IT/admin.lang.php
===================================================================
--- trunk/language/it_IT/admin.lang.php	(revision 6988)
+++ trunk/language/it_IT/admin.lang.php	(revision 6993)
@@ -62,9 +62,8 @@
 $lang['Apply to sub-albums'] = 'Applicare alle sottocategorie';
 $lang['Associated'] = 'Associato a';
-$lang['Association to categories'] = 'Associazione alle categorie';
 $lang['Batch management'] = 'Gestione per lotti';
 $lang['Caddie management'] = 'Gestione del cestino';
 $lang['Caddie'] = 'Cestino';
-$lang['Categories authorized thanks to group associations'] = 'Categorie accessibili grazie all\'appartenenza ai gruppi';
+$lang['Albums authorized thanks to group associations'] = 'Categorie accessibili grazie all\'appartenenza ai gruppi';
 $lang['Album manual order was saved'] = 'L\'ordinamento manuale delle categorie è stato salvato';
 $lang['Album elements associated to the following albums: %s'] = 'Gli elementi della categoria sono stati associati alle categorie seguenti : %s';
@@ -126,15 +125,15 @@
 $lang['Number of rates'] = 'Numero di voti';
 $lang['Number of thumbnails to create'] = 'Numero di miniature da creare';
-$lang['Only private categories are listed'] = 'Solo le categorie private sono elencate';
+$lang['Only private albums are listed'] = 'Solo le categorie private sono elencate';
 $lang['Operating system'] = 'Sistema operativo';
 $lang['Options'] = 'Opzioni';
-$lang['Other private categories'] = 'Altre categorie private';
+$lang['Other private albums'] = 'Altre categorie private';
 $lang['Page banner'] = 'Banner di pagina';
 $lang['Parent album'] = 'Categoria principale';
 $lang['Path'] = 'Percorso';
 $lang['Permalink'] = 'Permalink';
-$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Il permalink %s è stato usato precedentemente per la categoria %s. Cancellarlo prima dalla cronologia';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = 'Il permalink %s è stato usato precedentemente per la categoria %s. Cancellarlo prima dalla cronologia';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'Il permalink deve essere composto unicamente dai caratteri seguenti : "a-zA-Z0-9", "-" o "_". Non deve essere numerico o iniziare con un numero seguito da "-"';
-$lang['Permalink %s is already used by category %s'] = 'Il permalink %s è già  usato nella galleria %s';
+$lang['Permalink %s is already used by album %s'] = 'Il permalink %s è già  usato nella galleria %s';
 $lang['Permalink history'] = 'Cronologia dei permalinks';
 $lang['Permalinks'] = 'Permalinks';
@@ -154,5 +153,5 @@
 $lang['Reject'] = 'Rifiutare';
 $lang['Representant'] = 'Copertina';
-$lang['Representation of categories'] = 'Copertine delle categorie';
+$lang['Representation of albums'] = 'Copertine delle categorie';
 $lang['Representative'] = 'Rappresentativa';
 $lang['Represents'] = 'Rappresenta';
@@ -187,5 +186,5 @@
 $lang['You are running on development sources, no check possible.'] = 'State lavorando con una versione di sviluppo, impossibile verificare l\'ultima versione.';
 $lang['You cannot delete your account'] = 'Non potete cancellare il vostro account utente';
-$lang['You cannot move a album in its own sub album'] = 'Non potete spostare una categoria in una sua sottocategoria.';
+$lang['You cannot move an album in its own sub album'] = 'Non potete spostare una categoria in una sua sottocategoria.';
 $lang['You need to confirm deletion'] = 'Dovete confermare la cancellazione';
 $lang['add tags'] = 'Aggiungere i tags';
@@ -195,5 +194,5 @@
 $lang['Authorized'] = 'Autorizzate';
 $lang['Add a virtual album'] = 'Aggiungere una categoria virtuale';
-$lang['Authorize users to add comments on selected categories'] = 'Autorizzare gli utenti ad aggiungere commenti nelle categorie selezionate';
+$lang['Authorize users to add comments on selected albums'] = 'Autorizzare gli utenti ad aggiungere commenti nelle categorie selezionate';
 $lang['The name of an album must not be empty'] = 'Il nome della categoria non deve essere vuoto';
 $lang['Lock albums'] = 'Blocco delle categorie';
@@ -202,9 +201,8 @@
 $lang['Find a new representant by random'] = 'Scegliere una nuova copertina a caso';
 $lang['Public / Private'] = 'Pubblica / Privata';
-$lang['Manage authorizations for selected categories'] = 'Gestire le autorizzazione per le categorie selezionate';
-$lang['Select uploadable categories'] = 'Selezionare le categorie su cui è possibile caricare nuove immagini';
+$lang['Manage authorizations for selected albums'] = 'Gestire le autorizzazione per le categorie selezionate';
+$lang['Select uploadable albums'] = 'Selezionare le categorie su cui è possibile caricare nuove immagini';
 $lang['Virtual album added'] = 'Categoria virtuale aggiunta';
 $lang['Virtual album deleted'] = 'Categoria virtuale cancellata';
-$lang['Category'] = 'Categoria';
 $lang['Access type'] = 'Tipo di accesso';
 $lang['Comments'] = 'Commenti utente';
@@ -362,8 +360,8 @@
 $lang['Thumbnail'] = 'Miniatura';
 $lang['title'] = 'Titolo';
-$lang['Categories management'] = 'Gestione delle categorie';
+$lang['Album list management'] = 'Gestione delle categorie';
 $lang['Piwigo configuration'] = 'Configurazione di Piwigo';
 $lang['Piwigo administration'] = 'Amministrazione di Piwigo';
-$lang['Edit a category'] = 'Modificare una categoria';
+$lang['Edit album'] = 'Modificare una categoria';
 $lang['Group management'] = 'Gestione gruppi';
 $lang['User list'] = 'Elenco utenti';
@@ -396,7 +394,7 @@
 $lang['Update images informations'] = 'Aggiorna le informazioni delle immagini';
 $lang['Synchronize'] = 'Sincronizzare';
-$lang['reduce to single existing categories'] = 'Eseguire unicamente sulle categorie selezionate';
+$lang['reduce to single existing albums'] = 'Eseguire unicamente sulle categorie selezionate';
 $lang['Choose an option'] = 'Scegli un\'opzione';
-$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'Mostra tutte le informazioni possibili (categorie ed elementi aggiunti o eliminati)';
+$lang['display maximum informations (added albums and elements, deleted albums and elements)'] = 'Mostra tutte le informazioni possibili (categorie ed elementi aggiunti o eliminati)';
 $lang['Piwigo version differs on the remote site'] = 'La versione di Piwigo differisce da quella sul server remoto';
 $lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'La versione del file "create_listing_file.php" sul server remoto deve essere la stessa di Piwigo';
@@ -410,10 +408,10 @@
 $lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Ogni file immagine richiede una miniatura. La miniatura deve essere presente nella sottodirectory "thumbnail" della directory. Il nome del file della miniatura deve iniziare con il parametro di configurazione "prefix_thumbnail" e l\'estensione deve essere uno di valori dell\'elenco seguente:';
 $lang['missing thumbnail'] = 'miniature mancanti';
-$lang['categories deleted in the database'] = 'categorie eliminate dal database';
+$lang['albums deleted in the database'] = 'categorie eliminate dal database';
 $lang['elements deleted in the database'] = 'elementi eliminati dal database';
 $lang['images candidates for metadata synchronization'] = 'immagini in coda per la sincronizzazione dei metadati';
 $lang['elements informations synchronized with files metadata'] = 'informazioni sugli elementi sincronizzate con i metadati';
 $lang['errors during synchronization'] = 'Si sono verificati errori durante la sincronizzazione';
-$lang['categories added in the database'] = 'categorie aggiunte nel database';
+$lang['albums added in the database'] = 'categorie aggiunte nel database';
 $lang['elements added in the database'] = 'elementi aggiunti nel database';
 $lang['elements updated in the database'] = 'elementi aggiornati nel database';
@@ -447,5 +445,5 @@
 $lang['Not linked elements'] = 'Elementi non collegati';
 $lang['Specials'] = 'Speciale';
-$lang['Files with same name in more than one physical category'] = 'File con stesso nome in più di una categoria fisica';
+$lang['Files with same name in more than one physical album'] = 'File con stesso nome in più di una categoria fisica';
 $lang['Overall'] = 'Vista globale';
 $lang['Year'] = 'Anno';
@@ -592,5 +590,5 @@
 $lang['Optimizations have been completed with some errors.'] = 'Le ottimizzazioni sono state completate con alcuni errori.';
 $lang['Modify information'] = 'Modifica le informazioni';
-$lang['edit category informations'] = 'Modificare le informazioni della categoria';
+$lang['edit album'] = 'Modificare le informazioni della categoria';
 $lang['nothing'] = 'Niente';
 $lang['overrides existing values with empty ones'] = 'Sovrascrivere i valori esistenti con quelli vuoti';
@@ -641,16 +639,16 @@
 
 $lang['Upload Photos'] = 'Aggiungere foto';
-$lang['Drop into category'] = 'Scegliere una categoria';
+$lang['Drop into album'] = 'Scegliere una categoria';
 $lang['+ Add an upload box'] = '+ Aggiungere un altro campo di upload';
 $lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Creare la directory "% s" nella radice della vostra installazione Piwigo';
 $lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Dare i permessi in scrittura (chmod 777) alla directory "% s" nella radice della vostra installazione Piwigo';
-$lang['existing category'] = 'categoria esistente';
-$lang['create a new category'] = 'creare una nuova categoria';
+$lang['existing album'] = 'categoria esistente';
+$lang['create a new album'] = 'creare una nuova categoria';
 $lang['Album name'] = 'Nome della categoria';
-$lang['Category "%s" has been added'] = 'La categoria "%s" è stata aggiunta';
+$lang['Album "%s" has been added'] = 'La categoria "%s" è stata aggiunta';
 $lang['Uploaded Photos'] = 'Foto aggiunte ';
 $lang['%d photos uploaded'] = '%d foto aggiunte';
 $lang['Privacy level set to "%s"'] = 'Livello di confidenzialità t "%s"';
-$lang['Category "%s" now contains %d photos'] = 'La categoria "%s" adesso contiene %d foto';
+$lang['Album "%s" now contains %d photos'] = 'La categoria "%s" adesso contiene %d foto';
 $lang['Manage this set of %d photos'] = 'Gestire questo set di %d foto';
 $lang['Select files'] = 'Scegliere i file';
Index: trunk/language/it_IT/common.lang.php
===================================================================
--- trunk/language/it_IT/common.lang.php	(revision 6988)
+++ trunk/language/it_IT/common.lang.php	(revision 6993)
@@ -54,6 +54,6 @@
 $lang['Author'] = 'Autore';
 $lang['Average rate'] = 'Voto medio';
-$lang['Categories'] = 'Categorie';
-$lang['Category'] = 'Categoria';
+$lang['Albums'] = 'Categorie';
+$lang['Album'] = 'Categoria';
 $lang['Close this window'] = 'Chiudi questa finestra';
 $lang['Complete RSS feed (images, comments)'] = 'Feed RSS completo (immagini, commenti)';