Index: branches/2.1/language/sv_SE/about.html
===================================================================
--- branches/2.1/language/sv_SE/about.html	(revision 6994)
+++ branches/2.1/language/sv_SE/about.html	(revision 6994)
@@ -0,0 +1,15 @@
+<p>Fotogallret är baserad på Piwigo.</p>
+
+<p>Piwigo är ett fotogalleri programvara för webben, byggt av en aktiv
+gemenskap av användare och utvecklare. Extensions gör Piwigo enkelt
+anpassningsbara. Det bästa av allt  är att Piwigo är gratis och opensource.</P>
+
+<p id="linkToPiwigo"> <a href="http://piwigo.org">Besök Piwigo's hemsida</a></p>
+
+<p>Svenska översättning underhålls av (i alfabetisk ordning):
+
+<ul>
+<li><a href="http://piwigo.org/forum/profile.php?id=9834">jonas</a></li>
+
+</Ul>
+            .... ett  tack till dom</p>
Index: branches/2.1/language/sv_SE/common.lang.php
===================================================================
--- branches/2.1/language/sv_SE/common.lang.php	(revision 6994)
+++ branches/2.1/language/sv_SE/common.lang.php	(revision 6994)
@@ -0,0 +1,378 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Langage informations
+$lang_info['language_name'] = 'Swedish';
+$lang_info['country'] = 'Svergie';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'se';
+$lang_info['zero_plural'] = '1';
+
+$lang['Upload a picture'] = 'Ladda upp en bild';
+$lang['useful when password forgotten'] = 'är användbart om du glömt lösenordet';
+$lang['Quick search'] = 'Snabbsökning';
+$lang['Connected user: %s'] = 'Anslutna användare: %s';
+$lang['IP: %s'] = 'IP: %s';
+$lang['Browser: %s'] = 'Webbläsare: %s';
+$lang['Author: %s'] = 'Fotograf: %s';
+$lang['Comment: %s'] = 'Kommentar: %s';
+$lang['Comment by %s'] = 'Kommentar av %s';
+$lang['User: %s'] = 'Användare: %s';
+$lang['Email: %s'] = 'E-post: %s';
+$lang['Admin: %s'] = 'Admin: %s';
+$lang['Registration of %s'] = 'Registrering av %s';
+$lang['Category: %s'] = 'Kategori: %s';
+$lang['Picture name: %s'] = 'Bild namn: %s';
+$lang['Creation date: %s'] = 'Skapad datum: %s';
+$lang['Waiting page: %s'] = 'Väntar på sidan: %s';
+$lang['Picture uploaded by %s'] = 'Bild uppladdad av %s';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'dålig status för användare \"gäst\", default status kommer används Vänligen meddela webmastern..';
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administratör, webmaster och speciell användare kan inte använda denna metod';
+$lang['a user use already this mail address'] = 'annan användare använder redan denna e-post';
+$lang['Category results for'] = 'Kategori resultat för';
+$lang['Tag results for'] = 'Tag Resultat för';
+$lang['from %s to %s'] = 'från %s till %s';
+$lang['Play of slideshow'] = 'Spela bildspel';
+$lang['Pause of slideshow'] = 'Pausa bildspel';
+$lang['Repeat the slideshow'] = 'Upprepa bildspel';
+$lang['Not repeat the slideshow'] = 'Upprepa inte bildspel';
+$lang['Reduce diaporama speed'] = 'Minska bildspel hastighet';
+$lang['Accelerate diaporama speed'] = 'Öka bildspel hastighet';
+$lang['Submit'] = 'skicka';
+$lang['Yes'] = 'Ja';
+$lang['No'] = 'Nej';
+$lang['%d image'] = '%d bild';
+$lang['%d images'] = '%d bilder';
+$lang['%d image is also linked to current tags'] = '%d bilden är också kopplad till nuvarande taggar';
+$lang['%d images are also linked to current tags'] = '%d bilden är också kopplade till nuvarande taggar';
+$lang['See images linked to this tag only'] = 'Se bilder kopplade till den här taggen bara';
+$lang['images posted during the last %d days'] = 'bilder postade under de sista %d dagarna';
+$lang['Choose an image'] = 'Välj en bild';
+$lang['Piwigo Help'] = 'Piwigo hjälp';
+$lang['Rank'] = 'Rank';
+$lang['group by letters'] = 'grupp av bokstäver';
+$lang['letters'] = 'bokstäver';
+$lang['show tag cloud'] = 'Visa moln etiketter';
+$lang['cloud'] = 'moln';
+$lang['Reset to default values'] = 'Återställ till standardvärden';
+$lang['delete all images from your favorites'] = 'radera alla bilder från dina favoriter';
+$lang['Sent by'] = 'Skickat av';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies är blockerade eller inte stöds av din webbläsare Du måste aktivera cookies för att logga in..';
+$lang['%d new comment'] = '%d ny kommentar';
+$lang['%d new comments'] = '%d nya kommentarer';
+$lang['%d comment'] = '%d kommentar';
+$lang['%d comments'] = '%d nya kommentarer';
+$lang['%d hit'] = '%d träff';
+$lang['%d hits'] = '%d träffar';
+$lang['%d new image'] = '%d ny bild';
+$lang['%d new images'] = '%d nya bilder';
+$lang['%d new user'] = '%d ny användare';
+$lang['%d new users'] = '%d nya användare';
+$lang['About'] = 'Om';
+$lang['All tags'] = 'Alla taggar';
+$lang['Any tag'] = 'Någon tag';
+$lang['At least one listed rule must be satisfied.'] = 'Minst ett listade kriterium uppfyllas.';
+$lang['At least one tag must match'] = 'Minst ett listade kriterium uppfyllas';
+$lang['Author'] = 'Fotograf';
+$lang['Average rate'] = 'Genomsnittlig';
+$lang['Categories'] = 'kategorier';
+$lang['Category'] = 'kategori';
+$lang['Close this window'] = 'Stäng detta fönster';
+$lang['Complete RSS feed (images, comments)'] = 'Komplett RSS-flöde (bilder, kommentarer)';
+$lang['Confirm Password'] = 'Bekräfta lösenord';
+$lang['Connection settings'] = 'Inställningar för anslutning';
+$lang['Login'] = 'logga in';
+$lang['Contact webmaster'] = 'Kontakta webmaster';
+$lang['Create a new account'] = 'Skapa ett nytt konto';
+$lang['Created on'] = 'Skapad den';
+$lang['Creation date'] = 'Skapad datum';
+$lang['Current password is wrong'] = 'Nuvarande lösenord är fel';
+$lang['Dimensions'] = 'dimension';
+$lang['Display'] = 'Visa';
+$lang['Each listed rule must be satisfied.'] = 'Varje kriteria måste vara uppfyllda.';
+$lang['Email address'] = 'E-postadress';
+$lang['Enter your personnal informations'] = 'Ange dina personliga info';
+$lang['Error sending email'] = 'Fel när du skickar e-post';
+$lang['File name'] = 'Filnamn';
+$lang['File'] = 'Fil';
+$lang['Filesize'] = 'Filstorlek';
+$lang['Filter and display'] = 'Filtrera och visa';
+$lang['Filter'] = 'Filter';
+$lang['Forgot your password?'] = 'Har du glömt lösenordet?';
+$lang['Go through the gallery as a visitor'] = 'Navigera galleriet som en besökare';
+$lang['Help'] = 'Hjälp';
+$lang['Identification'] = 'Identifiering';
+$lang['Image only RSS feed'] = 'Endast bilder RSS-flöde';
+$lang['Keyword'] = 'sökord';
+$lang['Links'] = 'sökord';
+$lang['Mail address'] = 'E-postadress';
+$lang['%d waiting element'] = '%d avvaktar proces';
+$lang['%d waiting elements'] = '%d avvaktar proceser';
+$lang['New password confirmation does not correspond'] = 'Nytt lösenord matchar inte';
+$lang['New password sent by email'] = 'Nytt lösenord skickas med e-post';
+$lang['No email address'] = 'Inga e-postadresser';
+$lang['No classic user matches this email address'] = 'Ingen träff på e-postadressen';
+$lang['Notification'] = 'Meddelande';
+$lang['Number of items'] = 'Antal artiklar';
+$lang['Original dimensions'] = 'Original storlek';
+$lang['Password forgotten'] = 'Glömt lösenord';
+$lang['Password'] = 'Lösenord';
+$lang['Post date'] = 'Post datum';
+$lang['Posted on'] = 'Inlagd den';
+$lang['Profile'] = 'Profil';
+$lang['Quick connect'] = 'Snabb kontakt';
+$lang['RSS feed'] = 'RSS flöde';
+$lang['Rate'] = 'Betygsätt';
+$lang['Register'] = 'Registrera';
+$lang['Registration'] = 'registrering';
+$lang['Related tags'] = 'Relaterade taggar';
+$lang['Reset'] = 'Återställ';
+$lang['Retrieve password'] = 'Hämta lösenord';
+$lang['Search rules'] = 'Sök kriterier';
+$lang['Search tags'] = 'Sök tags';
+$lang['Search'] = 'Sök';
+$lang['See available tags'] = 'Se tillgängliga taggar';
+$lang['Send new password'] = 'Skicka nytt lösenord';
+$lang['Since'] = 'sedan';
+$lang['Sort by'] = 'Sortera efter';
+$lang['Sort order'] = 'Sorteringsordning';
+$lang['Tag'] = 'Tagg';
+$lang['Tags'] = 'Tags';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Den RSS-flöde ger information om nya händelser från denna webbplats: nya bilder, uppdaterad kategorier, nya kommentarer. Användas med en RSS-läsare.';
+$lang['Unknown feed identifier'] = 'Okänt Rss-flöde';
+$lang['User comments'] = 'Kommentarer';
+$lang['Username'] = 'Användarnamn';
+$lang['Visits'] = 'besök';
+$lang['Webmaster'] = 'Webmaster';
+$lang['Week %d'] = 'Vecka %d';
+$lang['About Piwigo'] = 'Om Piwigo';
+$lang['You are not authorized to access the requested page'] = 'Du har inte behörighet till den begärda sidan';
+$lang['add to caddie'] = 'Lägg till caddy';
+$lang['add this image to your favorites'] = 'Lägg till den här bilden till dina favoriter';
+$lang['Administration'] = 'Administration';
+$lang['Adviser mode enabled'] = 'Hjälp guide akriverad';
+$lang['all'] = 'alla';
+$lang['ascending'] = 'stigande';
+$lang['author(s) : %s'] = 'Fotograf(er) : %s';
+$lang['Expand all categories'] = 'Visa alla kategorier';
+$lang['posted after %s (%s)'] = 'postade efter %s (%s)';
+$lang['posted before %s (%s)'] = 'postade före %s (%s)';
+$lang['posted between %s (%s) and %s (%s)'] = 'postade mellan %s (%s) och %s (%s)';
+$lang['posted on %s'] = 'Inlagd den %s';
+$lang['Best rated'] = 'Best bebetygsatta';
+$lang['display best rated items'] = 'Visa bäst betygsatta bilderna';
+$lang['caddie'] = 'Caddie';
+$lang['Calendar'] = 'Kalender';
+$lang['All'] = 'Alla';
+$lang['display each day with pictures, month per month'] = 'visa varje dag med bilder, månad per månad';
+$lang['View'] = 'Visa';
+$lang['day'][0] = "Söndag";
+$lang['day'][1] = "Måndag";
+$lang['day'][2] = "Tisdag";
+$lang['day'][3] = "Onsdag";
+$lang['day'][4] = "Torsdag";
+$lang['day'][5] = "Fredag";
+$lang['day'][6] = "Lördad";
+$lang['month'][10] = "Oktober";
+$lang['month'][11] = "November";
+$lang['month'][12] = "December";
+$lang['month'][1] = "Januari";
+$lang['month'][2] = "Februari";
+$lang['month'][3] = "Mars";
+$lang['month'][4] = "April";
+$lang['month'][5] = "Maj";
+$lang['month'][6] = "Juni";
+$lang['month'][7] = "Juli";
+$lang['month'][8] = "Augusti";
+$lang['month'][9] = "September";
+$lang['chronology_monthly_calendar'] = 'månads kalender';
+$lang['chronology_monthly_list'] = 'Månads förteckning';
+$lang['chronology_weekly_list'] = 'Veckolista';
+$lang['Click here if your browser does not automatically forward you'] = 'Klicka här om din webbläsare inte automatiskt styr om dig';
+$lang['comment date'] = 'kommentar datum';
+$lang['Comment'] = 'Kommentar';
+$lang['Your comment has been registered'] = 'Din kommentar har registrerat';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood system: vänta en stund innan du försöker att posta en annan kommentar';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Din kommentar har inte registrerats eftersom den inte klarade valideringens reglerna';
+$lang['An administrator must authorize your comment before it is visible.'] = 'En administratör måste godkänna din kommentar innan den blir synlig.';
+$lang['This login is already used by another user'] = 'Denna inloggning används redan av en annan användare';
+$lang['Comments'] = 'Kommentarer';
+$lang['Add a comment'] = 'Lägg till en kommentar';
+$lang['created after %s (%s)'] = 'skapats efter %s (%s)';
+$lang['created before %s (%s)'] = 'har skapats före %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'har skapats mellan %s (%s) och %s (%s)';
+$lang['created on %s'] = 'har skapats den %s';
+$lang['Customize'] = 'Anpassa';
+$lang['Your Gallery Customization'] = 'Din galleri anpassning';
+$lang['Default'] = 'Standard';
+$lang['delete this image from your favorites'] = 'Ta bort denna bild från dina favoriter';
+$lang['Delete'] = 'Ta bort';
+$lang['descending'] = 'Fallande';
+$lang['download'] = 'Nedladdning';
+$lang['download this file'] = 'ladda ner denna fil';
+$lang['edit'] = 'redigera';
+$lang['wrong date'] = 'Fel datum';
+$lang['excluded'] = 'uteslutas';
+$lang['My favorites'] = 'Mina favoriter';
+$lang['display my favorites pictures'] = 'Visa mina favoriter bilder';
+$lang['Favorites'] = 'favoriter';
+$lang['First'] = 'Första';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Är galleriet stängt för underhåll. Snälla, kom tillbaka senare..';
+$lang['Page generated in'] = 'Sidan skapades';
+$lang['guest'] = 'Gäst';
+$lang['Hello'] = 'Hej';
+$lang['available for administrators only'] = 'endast för administratörer';
+$lang['shows images at the root of this category'] = 'visar bilder roten till denna kategori';
+$lang['See last users comments'] = 'Se den sista användarnas kommentarer';
+$lang['customize the appareance of the gallery'] = 'anpassa utseendet på galleriet';
+$lang['search'] = 'Sök';
+$lang['Home'] = 'hem';
+$lang['in this category'] = 'i denna kategori';
+$lang['in %d sub-category'] = 'i %d underkategorin';
+$lang['in %d sub-categories'] = 'i %d underkategorier';
+$lang['included'] = 'Inkludera';
+$lang['Invalid password!'] = 'Ogiltigt lösenord!';
+$lang['Language'] = 'Språk';
+$lang['last %d days'] = 'Sista %d dagarna';
+$lang['Last'] = 'Senaste';
+$lang['Logout'] = 'Logga ut';
+$lang['E-mail address'] = 'E-postadress';
+$lang['obligatory'] = 'obligatorisk';
+$lang['Maximum height of the pictures'] = 'Maxhöjd på bilderna';
+$lang['Maximum height must be a number superior to 50'] = 'Maximal höjd måste vara större än 50';
+$lang['Maximum width of the pictures'] = 'Maximan bredd på bilderna';
+$lang['Maximum width must be a number superior to 50'] = 'Maximal bredd måste vara större än 50';
+$lang['display a calendar by creation date'] = 'visa en kalender med datum för skapande';
+$lang['display all elements in all sub-categories'] = 'visa alla delar i alla kategorier och underkategorier';
+$lang['return to normal view mode'] = 'återgå till normalt visningsläge';
+$lang['display a calendar by posted date'] = 'visa en kalender sorterad på publicerd datum';
+$lang['Most visited'] = 'Mest besökta';
+$lang['display most visited pictures'] = 'Visa mest besökta bilder';
+$lang['The number of images per row must be a not null scalar'] = 'Antalet bilder per rad måste vara ett heltal';
+$lang['Number of images per row'] = 'Antal bilder per rad';
+$lang['The number of rows per page must be a not null scalar'] = 'Antalet rader per sida måste vara ett heltal';
+$lang['Number of rows per page'] = 'Antal rader per sida';
+$lang['Unknown identifier'] = 'Okänt användarnamn';
+$lang['New password'] = 'Nytt lösenordd';
+$lang['Rate this picture'] = 'Betygsätt den här bilden';
+$lang['Next'] = 'Nästa';
+$lang['no rate'] = 'Inget betyg';
+$lang['Elements posted within the last %d day.'] = 'Inlägg postade de senaste %d dagen bara.';
+$lang['Elements posted within the last %d days.'] = 'Inlägg postade de senaste %d dagarna.';
+$lang['password updated'] = 'lösenord uppdateras';
+$lang['Recent period must be a positive integer value'] = 'senaste tiden måste vara ett positivt heltal';
+$lang['picture'] = 'Bild';
+$lang['Click on the picture to see it in high definition'] = 'Klicka på bilden för att se den i hög upplösning';
+$lang['Show file metadata'] = 'Visa fil metadata';
+$lang['Powered by'] = 'Powered by';
+$lang['Preferences'] = 'Inställningar';
+$lang['Previous'] = 'Föregående';
+$lang['Random pictures'] = 'Slumpmässiga bilder';
+$lang['display a set of random pictures'] = 'visa en uppsättning av slumpmässiga bilder';
+$lang['Recent categories'] = 'Senaste kategorier';
+$lang['display recently updated categories'] = 'visa nyligen uppdaterade kategorier';
+$lang['Recent period'] = 'Senaste perioden';
+$lang['Recent pictures'] = 'Senaste bilder';
+$lang['display most recent pictures'] = 'Visa senaste bilder';
+$lang['Redirection...'] = 'omdirigering...';
+$lang['Please, enter a login'] = 'Vänligen ange ett användarnamn';
+$lang['login mustn\'t end with a space character'] = 'användarnamn får inte sluta med ett mellanslag';
+$lang['login mustn\'t start with a space character'] = 'användarnamn får inte börja med ett blanksteg';
+$lang['this login is already used'] = 'Detta användarnamn används redan';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-postadress måste vara som xxx@yyy.eee (exempel: jack@altern.org)';
+$lang['please enter your password again'] = 'Vänligen ange ditt lösenord igen';
+$lang['Auto login'] = 'Automatisk inloggning';
+$lang['remove this tag from the list'] = 'ta bort taggen från listan';
+$lang['representative'] = 'representant';
+$lang['return to homepage'] = 'tillbaka till startsidan';
+$lang['Search for Author'] = 'Sök efter en fotograf';
+$lang['Search in Categories'] = 'Sök i kategori';
+$lang['Search by Date'] = 'Sök efter datum';
+$lang['Date'] = 'Datum';
+$lang['End-Date'] = 'Slut datum';
+$lang['Kind of date'] = 'typ av dag';
+$lang['Search for words'] = 'Sök efter orden';
+$lang['Search for all terms'] = 'Sök efter alla termer';
+$lang['Search for any terms'] = 'Sök efter alla termen';
+$lang['Empty query. No criteria has been entered.'] = 'tom fråga. Inga kriterier har lagts in.';
+$lang['Search Options'] = 'Sök alternativ';
+$lang['Search results'] = 'Sökresultat';
+$lang['Search in subcategories'] = 'Sök i underkategorier';
+$lang['searched words : %s'] = 'sökte ord : %s';
+$lang['Contact'] = 'Kontakt';
+$lang['%.2f (rated %d times)'] = '%.2f (betygsatt %d gånger)';
+$lang['%d Kb'] = '%d Kb';
+$lang['%d category updated'] = '%d kategorin uppdateras';
+$lang['%d categories updated'] = '%d kategorier uppdateras';
+$lang['%d comment to validate'] = '%d inlägg att validera';
+$lang['%d comments to validate'] = '%d inlägg att validera';
+$lang['N/A'] = 'N/A';
+$lang['New on %s'] = 'Nya på %s';
+$lang['set as category representative'] = 'Ange som kategorin företrädare';
+$lang['Show number of comments'] = 'Visa antal inlägg';
+$lang['Show number of hits'] = 'Visa antal träffar';
+$lang['slideshow'] = 'bildspel';
+$lang['stop the slideshow'] = 'stoppa bildspelet';
+$lang['Specials'] = 'Erbjudanden';
+$lang['SQL queries in'] = 'SQL-frågor i';
+$lang['display only recently posted images'] = 'visa endast nyligen postade bilder';
+$lang['return to the display of all images'] = 'återgå till visning av alla bilder';
+$lang['the beginning'] = 'början';
+$lang['Interface theme'] = 'utsende tema';
+$lang['Thumbnails'] = 'Miniatyrer';
+$lang['Menu'] = 'Meny';
+$lang['A comment on your site'] = 'Ett inlägg på din webbplats';
+$lang['today'] = 'Idag';
+$lang['Update your rating'] = 'Uppdatera ditt betyg';
+$lang['wrong filename'] = 'Fel filnamn';
+$lang['the filesize of the picture must not exceed :'] = 'bildens filstorlek får inte överstiga :';
+$lang['the picture must be to the fileformat jpg, gif or png'] = 'bildens filformat måste jpg, gif eller png';
+$lang['the height of the picture must not exceed :'] = 'bildens höjd får inte överstiga :';
+$lang['Optional, but recommended : choose a thumbnail to associate to'] = 'valfrit, men rekommenderad: Välj en miniatyrbild för att associera till';
+$lang['the width of the picture must not exceed :'] = 'bredden av bilden får inte överstiga :';
+$lang['can\'t upload the picture on the server'] = 'bilden inte laddas upp på servern';
+$lang['the username must be given'] = 'användarnamn krävs';
+$lang['A picture\'s name already used'] = 'Bildnamnet används redan';
+$lang['You must choose a picture fileformat for the image'] = 'Du måste välja en bild filformat för bilden';
+$lang['Name of the picture'] = 'Namn på bilden';
+$lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = 'Bilden laddades med framgång, en administratör kommer att godkänna det så snart som möjligt';
+$lang['Some info about this picture'] = 'Information om den här bilden';
+$lang['Some more (technical) info about this picture'] = 'Mer(teknisk) information om den här bilden';
+$lang['edit this comment'] = 'Redigera detta inlägg';
+$lang['Edit a comment'] = 'Redigera ett inlägg';
+$lang['Are you sure?'] = 'Är du säker?';
+$lang['(!) This comment requires validation'] = '(!) Denna inlägg kräver validering';
+$lang['Welcome'] = 'Välkommen';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Välkommen till din Piwigo fotogalleri!';
+$lang['... or browse your empty gallery'] = '... eller bläddra ibland dina tomma gallerier';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... eller vänligen avaktivera detta meddelande kommer jag hittar själv';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hej %s, är din Piwigo fotogalleri tomt!';
+$lang['I want to add photos'] = 'Jag vill lägga till bilder';
+$lang['Manage this user comment: %s'] = 'Hantera den här användaren inlägg: %s';
+$lang['Email address is missing. Please specify an email address.'] = 'E-postadress saknas. Vänligen ange en e-postadress.';
+$lang['This author modified following comment:'] = 'Denna fotograf modifierad följande inlägg:';
+$lang['This author removed the comment with id %d'] = 'Denna fotograf raderade bort inlägg med id %d';
+$lang['delete this comment'] = 'Ta bort detta inlägg';
+$lang['validate this comment'] = 'validera detta inlägg';
+
+?>
Index: branches/2.1/language/sv_SE/iso.txt
===================================================================
--- branches/2.1/language/sv_SE/iso.txt	(revision 6994)
+++ branches/2.1/language/sv_SE/iso.txt	(revision 6994)
@@ -0,0 +1,1 @@
+Swedish [SE]