Index: /branches/2.1/language/sv_SE/common.lang.php
===================================================================
--- /branches/2.1/language/sv_SE/common.lang.php	(revision 6995)
+++ /branches/2.1/language/sv_SE/common.lang.php	(revision 6996)
@@ -24,5 +24,5 @@
 // Langage informations
 $lang_info['language_name'] = 'Swedish';
-$lang_info['country'] = 'Svergie';
+$lang_info['country'] = 'Sverige';
 $lang_info['direction'] = 'ltr';
 $lang_info['code'] = 'se';
@@ -31,5 +31,5 @@
 $lang['Upload a picture'] = 'Ladda upp en bild';
 $lang['useful when password forgotten'] = 'är användbart om du glömt lösenordet';
-$lang['Quick search'] = 'Snabbsökning';
+$lang['Quick search'] = 'Snabb sökning';
 $lang['Connected user: %s'] = 'Anslutna användare: %s';
 $lang['IP: %s'] = 'IP: %s';
@@ -46,6 +46,6 @@
 $lang['Creation date: %s'] = 'Skapad datum: %s';
 $lang['Waiting page: %s'] = 'Väntar på sidan: %s';
-$lang['Picture uploaded by %s'] = 'Bild uppladdad av %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'dålig status för användare \"gäst\", default status kommer används Vänligen meddela webmastern..';
+$lang['Picture uploaded by %s'] = 'Bild upp laddad av %s';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'dålig status för användare \"gäst\", default status kommer används Vanligen meddela webmastern..';
 $lang['Administrator, webmaster and special user cannot use this method'] = 'Administratör, webmaster och speciell användare kan inte använda denna metod';
 $lang['a user use already this mail address'] = 'annan användare använder redan denna e-post';
@@ -53,10 +53,10 @@
 $lang['Tag results for'] = 'Tag Resultat för';
 $lang['from %s to %s'] = 'från %s till %s';
-$lang['Play of slideshow'] = 'Spela bildspel';
-$lang['Pause of slideshow'] = 'Pausa bildspel';
-$lang['Repeat the slideshow'] = 'Upprepa bildspel';
-$lang['Not repeat the slideshow'] = 'Upprepa inte bildspel';
-$lang['Reduce diaporama speed'] = 'Minska bildspel hastighet';
-$lang['Accelerate diaporama speed'] = 'Öka bildspel hastighet';
+$lang['Play of slideshow'] = 'Spela bild spel';
+$lang['Pause of slideshow'] = 'Pausa bild spel';
+$lang['Repeat the slideshow'] = 'Upprepa bild spel';
+$lang['Not repeat the slideshow'] = 'Upprepa inte bild spel';
+$lang['Reduce diaporama speed'] = 'Minska bild spel hastighet';
+$lang['Accelerate diaporama speed'] = 'Öka bild spel hastighet';
 $lang['Submit'] = 'skicka';
 $lang['Yes'] = 'Ja';
@@ -78,5 +78,5 @@
 $lang['delete all images from your favorites'] = 'radera alla bilder från dina favoriter';
 $lang['Sent by'] = 'Skickat av';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies är blockerade eller inte stöds av din webbläsare Du måste aktivera cookies för att logga in..';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies är blockerade eller inte stöds av din Webbläsare Du måste aktivera cookies för att logga in..';
 $lang['%d new comment'] = '%d ny kommentar';
 $lang['%d new comments'] = '%d nya kommentarer';
@@ -116,5 +116,5 @@
 $lang['File name'] = 'Filnamn';
 $lang['File'] = 'Fil';
-$lang['Filesize'] = 'Filstorlek';
+$lang['Filesize'] = 'Fil storlek';
 $lang['Filter and display'] = 'Filtrera och visa';
 $lang['Filter'] = 'Filter';
@@ -127,9 +127,9 @@
 $lang['Links'] = 'sökord';
 $lang['Mail address'] = 'E-postadress';
-$lang['%d waiting element'] = '%d avvaktar proces';
-$lang['%d waiting elements'] = '%d avvaktar proceser';
+$lang['%d waiting element'] = '%d avvaktar process';
+$lang['%d waiting elements'] = '%d avvaktar processer';
 $lang['New password confirmation does not correspond'] = 'Nytt lösenord matchar inte';
 $lang['New password sent by email'] = 'Nytt lösenord skickas med e-post';
-$lang['No email address'] = 'Inga e-postadresser';
+$lang['No email address'] = 'Inga e-post adresser';
 $lang['No classic user matches this email address'] = 'Ingen träff på e-postadressen';
 $lang['Notification'] = 'Meddelande';
@@ -143,5 +143,5 @@
 $lang['Quick connect'] = 'Snabb kontakt';
 $lang['RSS feed'] = 'RSS flöde';
-$lang['Rate'] = 'Betygsätt';
+$lang['Rate'] = 'Betyg sätt';
 $lang['Register'] = 'Registrera';
 $lang['Registration'] = 'registrering';
@@ -159,5 +159,5 @@
 $lang['Tag'] = 'Tagg';
 $lang['Tags'] = 'Tags';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Den RSS-flöde ger information om nya händelser från denna webbplats: nya bilder, uppdaterad kategorier, nya kommentarer. Användas med en RSS-läsare.';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Den RSS-flöde ger information om nya händelser från denna webbplats: nya bilder, upp daterad kategorier, nya kommentarer. Användas med en RSS-läsare.';
 $lang['Unknown feed identifier'] = 'Okänt Rss-flöde';
 $lang['User comments'] = 'Kommentarer';
@@ -174,5 +174,5 @@
 $lang['all'] = 'alla';
 $lang['ascending'] = 'stigande';
-$lang['author(s) : %s'] = 'Fotograf(er) : %s';
+$lang['author(s) : %s'] = 'Fotograf (er) : %s';
 $lang['Expand all categories'] = 'Visa alla kategorier';
 $lang['posted after %s (%s)'] = 'postade efter %s (%s)';
@@ -180,6 +180,6 @@
 $lang['posted between %s (%s) and %s (%s)'] = 'postade mellan %s (%s) och %s (%s)';
 $lang['posted on %s'] = 'Inlagd den %s';
-$lang['Best rated'] = 'Best bebetygsatta';
-$lang['display best rated items'] = 'Visa bäst betygsatta bilderna';
+$lang['Best rated'] = 'Bäst betyg satta';
+$lang['display best rated items'] = 'Visa bäst betyg satta bilderna';
 $lang['caddie'] = 'Caddie';
 $lang['Calendar'] = 'Kalender';
@@ -193,5 +193,5 @@
 $lang['day'][4] = "Torsdag";
 $lang['day'][5] = "Fredag";
-$lang['day'][6] = "Lördad";
+$lang['day'][6] = "Lördag";
 $lang['month'][10] = "Oktober";
 $lang['month'][11] = "November";
@@ -209,10 +209,10 @@
 $lang['chronology_monthly_list'] = 'Månads förteckning';
 $lang['chronology_weekly_list'] = 'Veckolista';
-$lang['Click here if your browser does not automatically forward you'] = 'Klicka här om din webbläsare inte automatiskt styr om dig';
+$lang['Click here if your browser does not automatically forward you'] = 'Klicka här om din Webbläsare inte automatiskt styr om dig';
 $lang['comment date'] = 'kommentar datum';
 $lang['Comment'] = 'Kommentar';
 $lang['Your comment has been registered'] = 'Din kommentar har registrerat';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood system: vänta en stund innan du försöker att posta en annan kommentar';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Din kommentar har inte registrerats eftersom den inte klarade valideringens reglerna';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Din kommentar har inte registrerats eftersom den inte klarade valideringen´s reglerna';
 $lang['An administrator must authorize your comment before it is visible.'] = 'En administratör måste godkänna din kommentar innan den blir synlig.';
 $lang['This login is already used by another user'] = 'Denna inloggning används redan av en annan användare';
@@ -229,5 +229,5 @@
 $lang['Delete'] = 'Ta bort';
 $lang['descending'] = 'Fallande';
-$lang['download'] = 'Nedladdning';
+$lang['download'] = 'Ned laddning';
 $lang['download this file'] = 'ladda ner denna fil';
 $lang['edit'] = 'redigera';
@@ -249,6 +249,6 @@
 $lang['Home'] = 'hem';
 $lang['in this category'] = 'i denna kategori';
-$lang['in %d sub-category'] = 'i %d underkategorin';
-$lang['in %d sub-categories'] = 'i %d underkategorier';
+$lang['in %d sub-category'] = 'i %d under kategorin';
+$lang['in %d sub-categories'] = 'i %d under kategorier';
 $lang['included'] = 'Inkludera';
 $lang['Invalid password!'] = 'Ogiltigt lösenord!';
@@ -259,11 +259,11 @@
 $lang['E-mail address'] = 'E-postadress';
 $lang['obligatory'] = 'obligatorisk';
-$lang['Maximum height of the pictures'] = 'Maxhöjd på bilderna';
+$lang['Maximum height of the pictures'] = 'Max höjd på bilderna';
 $lang['Maximum height must be a number superior to 50'] = 'Maximal höjd måste vara större än 50';
-$lang['Maximum width of the pictures'] = 'Maximan bredd på bilderna';
+$lang['Maximum width of the pictures'] = 'Maximum bredd på bilderna';
 $lang['Maximum width must be a number superior to 50'] = 'Maximal bredd måste vara större än 50';
 $lang['display a calendar by creation date'] = 'visa en kalender med datum för skapande';
-$lang['display all elements in all sub-categories'] = 'visa alla delar i alla kategorier och underkategorier';
-$lang['return to normal view mode'] = 'återgå till normalt visningsläge';
+$lang['display all elements in all sub-categories'] = 'visa alla delar i alla kategorier och under kategorier';
+$lang['return to normal view mode'] = 'återgå till normalt visnings läge';
 $lang['display a calendar by posted date'] = 'visa en kalender sorterad på publicerd datum';
 $lang['Most visited'] = 'Mest besökta';
@@ -274,6 +274,6 @@
 $lang['Number of rows per page'] = 'Antal rader per sida';
 $lang['Unknown identifier'] = 'Okänt användarnamn';
-$lang['New password'] = 'Nytt lösenordd';
-$lang['Rate this picture'] = 'Betygsätt den här bilden';
+$lang['New password'] = 'Nytt lösenord';
+$lang['Rate this picture'] = 'Betyg sätt den här bilden';
 $lang['Next'] = 'Nästa';
 $lang['no rate'] = 'Inget betyg';
@@ -291,19 +291,19 @@
 $lang['display a set of random pictures'] = 'visa en uppsättning av slumpmässiga bilder';
 $lang['Recent categories'] = 'Senaste kategorier';
-$lang['display recently updated categories'] = 'visa nyligen uppdaterade kategorier';
+$lang['display recently updated categories'] = 'visa nyligen upp daterade kategorier';
 $lang['Recent period'] = 'Senaste perioden';
 $lang['Recent pictures'] = 'Senaste bilder';
 $lang['display most recent pictures'] = 'Visa senaste bilder';
 $lang['Redirection...'] = 'omdirigering...';
-$lang['Please, enter a login'] = 'Vänligen ange ett användarnamn';
+$lang['Please, enter a login'] = 'Vanligen ange ett användarnamn';
 $lang['login mustn\'t end with a space character'] = 'användarnamn får inte sluta med ett mellanslag';
 $lang['login mustn\'t start with a space character'] = 'användarnamn får inte börja med ett blanksteg';
 $lang['this login is already used'] = 'Detta användarnamn används redan';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-postadress måste vara som xxx@yyy.eee (exempel: jack@altern.org)';
-$lang['please enter your password again'] = 'Vänligen ange ditt lösenord igen';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-post adress måste vara som xxx@yyy.eee (exempel: jack@altern.org)';
+$lang['please enter your password again'] = 'Vanligen ange ditt lösenord igen';
 $lang['Auto login'] = 'Automatisk inloggning';
 $lang['remove this tag from the list'] = 'ta bort taggen från listan';
 $lang['representative'] = 'representant';
-$lang['return to homepage'] = 'tillbaka till startsidan';
+$lang['return to homepage'] = 'tillbaka till start sidan';
 $lang['Search for Author'] = 'Sök efter en fotograf';
 $lang['Search in Categories'] = 'Sök i kategori';
@@ -317,27 +317,27 @@
 $lang['Empty query. No criteria has been entered.'] = 'tom fråga. Inga kriterier har lagts in.';
 $lang['Search Options'] = 'Sök alternativ';
-$lang['Search results'] = 'Sökresultat';
-$lang['Search in subcategories'] = 'Sök i underkategorier';
+$lang['Search results'] = 'Sök resultat';
+$lang['Search in subcategories'] = 'Sök i under kategorier';
 $lang['searched words : %s'] = 'sökte ord : %s';
 $lang['Contact'] = 'Kontakt';
-$lang['%.2f (rated %d times)'] = '%.2f (betygsatt %d gånger)';
+$lang['%.2f (rated %d times)'] = '%.2f (betyg satt %d gångar)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d kategorin uppdateras';
 $lang['%d categories updated'] = '%d kategorier uppdateras';
-$lang['%d comment to validate'] = '%d inlägg att validera';
+$lang['%d comment to validate'] = '%d inlägg att validare';
 $lang['%d comments to validate'] = '%d inlägg att validera';
 $lang['N/A'] = 'N/A';
 $lang['New on %s'] = 'Nya på %s';
-$lang['set as category representative'] = 'Ange som kategorin företrädare';
+$lang['set as category representative'] = 'Ange som kategorin företrädande';
 $lang['Show number of comments'] = 'Visa antal inlägg';
 $lang['Show number of hits'] = 'Visa antal träffar';
-$lang['slideshow'] = 'bildspel';
-$lang['stop the slideshow'] = 'stoppa bildspelet';
-$lang['Specials'] = 'Erbjudanden';
+$lang['slideshow'] = 'bild spel';
+$lang['stop the slideshow'] = 'stoppa bild spelet';
+$lang['Specials'] = 'Erbjudande';
 $lang['SQL queries in'] = 'SQL-frågor i';
 $lang['display only recently posted images'] = 'visa endast nyligen postade bilder';
 $lang['return to the display of all images'] = 'återgå till visning av alla bilder';
 $lang['the beginning'] = 'början';
-$lang['Interface theme'] = 'utsende tema';
+$lang['Interface theme'] = 'utseende tema';
 $lang['Thumbnails'] = 'Miniatyrer';
 $lang['Menu'] = 'Meny';
@@ -346,29 +346,29 @@
 $lang['Update your rating'] = 'Uppdatera ditt betyg';
 $lang['wrong filename'] = 'Fel filnamn';
-$lang['the filesize of the picture must not exceed :'] = 'bildens filstorlek får inte överstiga :';
+$lang['the filesize of the picture must not exceed :'] = 'bildens fil storlek får inte överstiga :';
 $lang['the picture must be to the fileformat jpg, gif or png'] = 'bildens filformat måste jpg, gif eller png';
 $lang['the height of the picture must not exceed :'] = 'bildens höjd får inte överstiga :';
-$lang['Optional, but recommended : choose a thumbnail to associate to'] = 'valfrit, men rekommenderad: Välj en miniatyrbild för att associera till';
+$lang['Optional, but recommended : choose a thumbnail to associate to'] = 'valfritt, men rekommenderad: Välj en miniatyr bild för att associera till';
 $lang['the width of the picture must not exceed :'] = 'bredden av bilden får inte överstiga :';
 $lang['can\'t upload the picture on the server'] = 'bilden inte laddas upp på servern';
 $lang['the username must be given'] = 'användarnamn krävs';
-$lang['A picture\'s name already used'] = 'Bildnamnet används redan';
+$lang['A picture\'s name already used'] = 'Bild namnet används redan';
 $lang['You must choose a picture fileformat for the image'] = 'Du måste välja en bild filformat för bilden';
 $lang['Name of the picture'] = 'Namn på bilden';
 $lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = 'Bilden laddades med framgång, en administratör kommer att godkänna det så snart som möjligt';
 $lang['Some info about this picture'] = 'Information om den här bilden';
-$lang['Some more (technical) info about this picture'] = 'Mer(teknisk) information om den här bilden';
+$lang['Some more (technical) info about this picture'] = 'Mer (teknisk) information om den här bilden';
 $lang['edit this comment'] = 'Redigera detta inlägg';
 $lang['Edit a comment'] = 'Redigera ett inlägg';
 $lang['Are you sure?'] = 'Är du säker?';
-$lang['(!) This comment requires validation'] = '(!) Denna inlägg kräver validering';
+$lang['(!) This comment requires validation'] = '(!) Denna inlägg kräver valideringen';
 $lang['Welcome'] = 'Välkommen';
 $lang['Welcome to your Piwigo photo gallery!'] = 'Välkommen till din Piwigo fotogalleri!';
 $lang['... or browse your empty gallery'] = '... eller bläddra ibland dina tomma gallerier';
-$lang['... or please deactivate this message, I will find my way by myself'] = '... eller vänligen avaktivera detta meddelande kommer jag hittar själv';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... eller vänligen av aktivera detta meddelande kommer jag hittar själv';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hej %s, är din Piwigo fotogalleri tomt!';
 $lang['I want to add photos'] = 'Jag vill lägga till bilder';
 $lang['Manage this user comment: %s'] = 'Hantera den här användaren inlägg: %s';
-$lang['Email address is missing. Please specify an email address.'] = 'E-postadress saknas. Vänligen ange en e-postadress.';
+$lang['Email address is missing. Please specify an email address.'] = 'e-post adress saknas. Vanligen ange en e-post adress.';
 $lang['This author modified following comment:'] = 'Denna fotograf modifierad följande inlägg:';
 $lang['This author removed the comment with id %d'] = 'Denna fotograf raderade bort inlägg med id %d';