Index: /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_es.properties
===================================================================
--- /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_es.properties	(revision 6997)
+++ /extensions/jiwigo/trunk/src/main/resources/fr/mael/jiwigo/trad/messages_es.properties	(revision 6997)
@@ -0,0 +1,93 @@
+#####################################################
+#################### General ########################
+#####################################################
+error=Error
+welcomeMessage=Bienvenidos a Jiwigo
+version=0.11b
+commentaires=Comentarios
+loading=Descarga...
+titleBrowser=Jiwigo :: Navigador de ficheros
+cancel=Anular
+hits=Hits
+loadingOk=Descarga completa
+info=Información
+
+#####################################################
+################### Main Frame ######################
+#####################################################
+mainFrame_editionMenu=Edición
+mainFrame_preferencesMenu=>Preferencias
+mainFrame_resizing=Cambio de tamaño para
+mainFrame_addMetadata=Añadido de metadatos para
+mainFrame_sendingFiles=Envío de archivos para
+
+#####################################################
+################## Preferences ######################
+#####################################################
+preferences_tabImage=Imagen
+preferences_imagesSize=Tamaño de las imagenes
+preferences_chunkSize=Tamaño de los titulos (en Mo)
+
+#####################################################
+############### Thumbnail viewer ####################
+#####################################################
+thumbviewer_loading=Descarga de las miniaturas, tenga pasiencia
+thumbviewer_close=Cerrar
+thumbviewer_closeOthers=Cerrar los otros
+thumbviewer_closeAll=Cerrar todo
+
+
+#####################################################
+#################### Errors  ########################
+#####################################################
+sendingError=Error al enviar el
+categoryCreationError=Error al crear la categoria
+emptyCommentError=No se puede enviar un comentario vacío
+addCommentError=Error al añadir el comentario
+treeCreationError=Erreur lors de la création de l'arbre des catégories
+commentListingError=Error al crear el árbol de categorías
+imagesListingError=Error al recuperar imágenes
+configDefaultCreation=Error al crear archivos de configuración por defecto
+preferencesCheckValues=Por favor, compruebe los valores introducidos
+preferencesUnexpectedError=<html>Ocurrió un error inesperado. Las preferencias probablemente no <br/>seran actualizados</html>
+clippingError=El recorte no funciona con el zoom
+
+#####################################################
+#################### Success ########################
+#####################################################
+sendingSuccess=envio exitoso
+
+#####################################################
+#################### Categories######################
+#####################################################
+categories_add=Añadir una categoria
+categories_update=Actualisar
+categories_enterName=Introduzca el nombre de la categoría
+
+
+#####################################################
+############### Connection dialog ###################
+#####################################################
+connexionDialog_urlSite=Dirección del Sitio
+connexionDialog_login=Identificador
+connexionDialog_pass=Contraseña
+connexionDialog_emptyField=Recuerda que debes rellenar todos los campos
+connexionDialog_connexionError=<html><center>Error de conexión. <br/> Compruebe que ha completado los campos correctamente <br/> (El sitio debe contener el "http://")</center></html>
+connexionDialog_sauvegarder=<html><center>Guardar la información. <br/> <u> Atención </ u> La información se almacena en <br/> claro en su equipo.</center></html>
+
+#####################################################
+################ Images browser #####################
+#####################################################
+imageBrowser_file=Fichero
+imageBrowser_display=Visualización
+imageBrowser_image=Imagen
+imageBrowser_save=Guardar como
+imageBrowser_print=Imprimir
+imageBrowser_close=Cerrar
+imageBrowser_zoomPlus=Zoom mas
+imageBrowser_zoomMoins=Zoom menos
+imageBrowser_zoomNormal=Tamaño normal
+imageBrowser_flipH=Espejo horizontal
+imageBrowser_flipV=Espejo vertical
+imageBrowser_rotationL=Girar hacia la izquierda
+imageBrowser_rotationR=Girar hacia la derecha