Index: /extensions/autoupdate/trunk/language/ka_GE/description.txt
===================================================================
--- /extensions/autoupdate/trunk/language/ka_GE/description.txt	(revision 7019)
+++ /extensions/autoupdate/trunk/language/ka_GE/description.txt	(revision 7019)
@@ -0,0 +1,1 @@
+განაახლეთ თქვენი გალერეა ავტომატურად.
Index: /extensions/autoupdate/trunk/language/ka_GE/index.php
===================================================================
--- /extensions/autoupdate/trunk/language/ka_GE/index.php	(revision 7019)
+++ /extensions/autoupdate/trunk/language/ka_GE/index.php	(revision 7019)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/autoupdate/trunk/language/ka_GE/plugin.lang.php
===================================================================
--- /extensions/autoupdate/trunk/language/ka_GE/plugin.lang.php	(revision 7019)
+++ /extensions/autoupdate/trunk/language/ka_GE/plugin.lang.php	(revision 7019)
@@ -0,0 +1,41 @@
+<?php
+
+$lang['Click here to upgrade automatically'] = 'დაწკაპეთ ავტომატური განახლებისათვის';
+$lang['autoupdate_alert'] = 'თქვენ მართლა გსურთ ავტომატურად განაახლოთ piwigo?\nყურადღება!!! ფაილები, რომლებიც ხელით გაასწორეთ გადაწერილი იქნება.';
+$lang['autoupdate_success'] = 'Piwigo წარმატებით განახლდა (ვერსია %s)';
+$lang['autoupdate_fail'] = 'განახლების დროს მოხდა შეცდომა.';
+
+$lang['autoupdate_extract_fail'] = 'ამოარქივების დროს მოხდა შეცდომა. გთხოვთ, შეამოწმეთ დაშვების უფლება piwigo–ს ფოლდერთან.<br><a href="%s">დაკლიკეთ, რათა ნახოთ ინფორმაცია შეცდომაზე</a>.';
+
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo ვერ იღებს განახლების ფაილებს სერვერიდან';
+$lang['Click here to see Piwigo %s release notes'] = 'დაწკაპეთ აქ რათა იხილოთ Piwigo %s  რელიზის შესახებ';
+$lang['Some upgrades are available for you plugins'] = 'ხელმისაწვდომია მოდულების ზოგიერთი განახლება';
+$lang['Click here see upgrade plugins page'] = 'დაწკაპეთ აქ, რათა ეწვიოთ მოდულების განახლების გვერდს';
+$lang['Gallery and plugins are up to date'] = 'გალერეა და მოდულები განახლებულია';
+$lang['Unable to check upgrades...'] = 'განახლების შემოწმება შეუძლებელია...';
+$lang['Click here to check upgrades now'] = 'დაწკპეთ აქ, რათა ეხლავე შეამოწმოთ განახლება';
+
+$lang['Notify on admin homepage'] = 'გამოვიტანოთ შეტყობინება ადმინისტრატორის გვერდზე';
+$lang['Don\'t notify on admin homepage'] = 'არ გამოვიტანოთ შეტყობინება ადმინისტრატორის გვერდზე';
+
+$lang['Upgrade in progress... Please wait.'] = 'მიმდინარეობს განახლების პროცესი... გთხოვთ დაიცადოთ.';
+$lang['Checking upgrades for gallery and plugins...'] = 'განახლების შემოწმება გალერეისა და მოდულებისათვის...';
+
+$lang['Upgrade to Piwigo %s'] = 'განაახლეთ Piwigo %s';
+$lang['Two upgrades are available'] = 'ორი განახლებაა ხელმისაწვდომი';
+$lang['This is a minor upgrade, with only bug corrections.'] = 'ეს მცირე განახლებაა, მხოლოდ შეცდომების შესწორება.';
+$lang['This is a major upgrade, with <a href="%s">new exciting features</a>.'] = 'ეს ძალიან დიდი განახლებაა <a href="%s">საინტერესო სიახლეებით</a>.';
+$lang['Some themes and plugins may be not available yet.'] = 'თემების და პლაგინების ნაწილი ჯერჯერობით არ არის ხელმისაწვდომი
+.';
+$lang['You can upgrade to Piwigo %s directly, without upgrading to Piwigo %s (recommended).'] = 'თქვენ პირდაპირ შეგიძლიათ  Piwigo %s გადახვიდეთ,  Piwigo %s განახლების გარეშე(რეკომენდირებულია).';
+$lang['autoupdate_step_1'] = 'პირველი საფეხური';
+$lang['autoupdate_step_2'] = 'მეორე საფეხური';
+$lang['autoupdate_step_3'] = 'მესამე საფეხური';
+$lang['Save Template Directory'] = 'შევინახოთ დირექტორიის შაბლონი';
+$lang['Dump Database'] = 'მონაცემთა ბაზის წაშლა';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'ჩავრთოთ ისტორიის მონაცემები (გაფრთხილება: შესაძლებელია სერვერზე მეხსიერების ლიმიტის  გადაჭარბება)';
+$lang['Unable to write new local directory.'] = 'შეუძლებელია ახალი ლოკალური დირექტორიის ჩაწერა.';
+$lang['Unable to send template directory.'] = 'შეუძლებელია შაბლონის დირექტორიის გაგზავნა.';
+$lang['Unable to dump database.'] = 'შეუძლებელია მონაცემთა ბაზის წაშლა.';
+
+?>
Index: /extensions/autoupdate/trunk/language/vi_VN/description.txt
===================================================================
--- /extensions/autoupdate/trunk/language/vi_VN/description.txt	(revision 7019)
+++ /extensions/autoupdate/trunk/language/vi_VN/description.txt	(revision 7019)
@@ -0,0 +1,1 @@
+Upgrade your gallery automatically.