Index: /extensions/ExtendedDescription/language/de_DE/help.html
===================================================================
--- /extensions/ExtendedDescription/language/de_DE/help.html	(revision 7019)
+++ /extensions/ExtendedDescription/language/de_DE/help.html	(revision 7020)
@@ -58,5 +58,6 @@
 <br>
 - yyyy (Optional) : weitere unterst&uuml;tzte Befehle {left, right}, zeigen die Beschreibung rechts oder links vom Bild an.</p>
-- name (optional) : Wenn getaggt erscheint der Name des Bildes unterhalb der Vignette.</p>
+- Name (optional): kann jeden beliebigen Wert annehmen unter (Name, Titelname). Wenn mit <i> Name </ i> markiert, wird der Name des Bildes unter der Miniatur angezeigt, mit <i> Titelname </ i> wird das Bild Markup &lt;title&gt; mit dem Namen ausgefüllt. </P>
+
 
 <h3>Kategorie verstecken - nicht anzeigen </h3>
Index: /extensions/ExtendedDescription/language/en_UK/description.txt
===================================================================
--- /extensions/ExtendedDescription/language/en_UK/description.txt	(revision 7020)
+++ /extensions/ExtendedDescription/language/en_UK/description.txt	(revision 7020)
@@ -0,0 +1,1 @@
+Add multilinguale descriptions, banner, NMB, category name, etc...
Index: /extensions/ExtendedDescription/language/fr_FR/description.txt
===================================================================
--- /extensions/ExtendedDescription/language/fr_FR/description.txt	(revision 7020)
+++ /extensions/ExtendedDescription/language/fr_FR/description.txt	(revision 7020)
@@ -0,0 +1,1 @@
+Ajoutez des descriptions Multilinguale, bannière, NMB, nom de la catégorie, etc ..
Index: /extensions/ExtendedDescription/language/it_IT/help.html
===================================================================
--- /extensions/ExtendedDescription/language/it_IT/help.html	(revision 7019)
+++ /extensions/ExtendedDescription/language/it_IT/help.html	(revision 7020)
@@ -3,6 +3,5 @@
 <h3>Descrizione multilingua</h3>
 
-<p>Le descrizioni multilingua si fanno tra gli elementi [lang=xx] e [/lang], dove xx è il codice della lingua (per esempio fr, en, es, it, ...)
-Esistono anche 2 elementi speciali: [lang=default] e [lang=all]</p>
+<p>Le descrizioni multilingua si fanno tra gli elementi [lang=xx] e [/lang], dove xx è il codice della lingua (per esempio fr, en, es, it, ...) Esistono anche 2 elementi speciali: [lang=default] e [lang=all]</p>
 
 <ul>
@@ -36,6 +35,5 @@
 </ul>
 <code>descrizione ridotta &lt;!--more--&gt; descrizione estesa</code>
-<p>Solo da descrizione ridotta apparirà per la presentazione della categoria.
-Sulla categoria, la descrizione sarà quella ridotta + quella dettagliat.</p>
+<p>Solo da descrizione ridotta apparirà per la presentazione della categoria. Sulla categoria, la descrizione sarà quella ridotta + quella dettagliat.</p>
 
 <ul>
@@ -43,6 +41,5 @@
 </ul>
 <code>descrizione ridotta &lt;!--complete--&gt; descrizione estesa</code>
-<p>Solo da descrizione ridotta apparirà per la presentazione della categoria.
-Invece, sulla categoria, la descrizione sarà quella estesa unicamente, dunque 2 descrizioni differenti.</p>
+<p>Solo da descrizione ridotta apparirà per la presentazione della categoria. Invece, sulla categoria, la descrizione sarà quella estesa unicamente, dunque 2 descrizioni differenti.</p>
 
 <ul>
@@ -50,7 +47,5 @@
 </ul>
 <code>descrizione alta &lt;!--up-down--&gt; descrizione bassa</code>
-<p>Solo da descrizione alta apparirà per la presentazione della categoria.
-Sulla categoria, la descrizione alta sarà visualizzata al disopra delle miniature, invece la descrizione bassa sarà visualizzata al disotto (li dove appare di solito la descrizione).</p>
-
+<p>Solo da descrizione alta apparirà per la presentazione della categoria. Sulla categoria, la descrizione alta sarà visualizzata al disopra delle miniature, invece la descrizione bassa sarà visualizzata al disotto (li dove appare di solito la descrizione).</p>
 
 <h3>Inserire una categoria o un'immagine</h3>
@@ -66,8 +61,7 @@
 <p>Quest'elelmento permette d'inserire una o più miniature nella descrizione, con :<br><br>
 - xx il numero dell'immagine ; È possibile pecisare il numero della categoria madre dopo il numero : <code>xx.ccc</code>.<br/>
-<br/>
+<br>
 - yyyy (facoltativo) prende sia il valore <i>left</i>, sia il valore <i>right</i> e permette di posizionare la miniatura dell'immagine sulla destra o sulla sinistra.
-<br/>
-- name (facoltativo) : se è precisato, il nome della foto sarà visualizzata sotto la miniatura.</p>
+- Nome (facoltativo): può assumere qualsiasi valore tra {nome, il nome del titolo}. Se è taggata, con il <i>nome</ i>, il nome della foto è mostrata sotto la miniatura, con il <i> titolo del nome </i> il markup dell'immagine &lt;title&gt; è riempito con il nome.</P>
 
 <h3>Nascondere una categoria</h3>