Index: extensions/albums/language/zh_CN/plugin.lang.php
===================================================================
--- extensions/albums/language/zh_CN/plugin.lang.php	(revision 7022)
+++ extensions/albums/language/zh_CN/plugin.lang.php	(revision 7022)
@@ -0,0 +1,90 @@
+﻿<?php
+$lang['%d category including'] = '%d 相册包含中';
+$lang['%d categories including'] = '%d 相册包含中';
+$lang['%d category moved'] = '%d 相册已移动';
+$lang['%d categories moved'] = '%d 相册已移动';
+$lang['Apply to subcategories'] = '应用到子相册';
+$lang['Association to categories'] = '相册联盟';
+$lang['Categories authorized thanks to group associations'] = '相册组织授权感谢协会';
+$lang['Categories manual order was saved'] = '相册手工排序已保存';
+$lang['Category elements associated to the following categories: %s'] = '相册里的相片已联合到以下相册: %s';
+$lang['Link all category elements to a new category'] = '链接所有相册的相片到新的相册';
+$lang['Link all category elements to some existing categories'] = '链接所有相册的相片到现有的相册';
+$lang['Linked categories'] = '已链接相册';
+$lang['Manage permissions for a category'] = '管理相册的权限';
+$lang['Move categories'] = '移动相册';
+$lang['New parent category'] = '新的父相册';
+$lang['Only private categories are listed'] = '只列出私有相册';
+$lang['Other private categories'] = '其他私有相册';
+$lang['Parent category'] = '父相册';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = '固定链接 %s 已被 %s 相册使用了。请先从固定链接历史记录删除。';
+$lang['Permalink %s is already used by category %s'] = '固定链接 %s 已被 %s 相册使用了';
+$lang['Representation of categories'] = '相册代表';
+$lang['Select at least one category'] = '选择最后一个相册';
+$lang['Storage category'] = '存储相册';
+$lang['Virtual categories movement'] = '虚拟相册移动操作';
+$lang['Virtual categories to move'] = '移动虚拟相册';
+$lang['Virtual category name'] = '虚拟相册名称';
+$lang['You cannot move a category in its own sub category'] = '您不能将一个相册移动到其子相册里';
+$lang['associate to category'] = '联合到相册';
+$lang['Add a virtual category'] = '添加一个虚拟相册';
+$lang['Authorize users to add comments on selected categories'] = '让用户可在所选相册里发表评论';
+$lang['The name of a category should not be empty'] = '相册名称不能为空';
+$lang['Lock categories'] = '锁定相册';
+$lang['Private category'] = '私有相册';
+$lang['Public category'] = '公共相册';
+$lang['Manage authorizations for selected categories'] = '管理所选相册的授权';
+$lang['Select uploadable categories'] = '选择可上传的相册';
+$lang['Virtual category added'] = '虚拟相册已添加';
+$lang['Virtual category deleted'] = '虚拟相册已删除';
+$lang['Category'] = '相册';
+$lang['delete category'] = '删除相册';
+$lang['dissociate from category'] = '从相册里分离';
+$lang['edit category permissions'] = '修改相册权限';
+$lang['Category informations updated successfully.'] = '相册信息已上传成功.';
+$lang['jump to category'] = '跳到相册';
+$lang['manage category elements'] = '管理相册里的相片';
+$lang['manage sub-categories'] = '管理子相册';
+$lang['sub-categories'] = '子相册';
+$lang['Categories management'] = '相册管理';
+$lang['Edit a category'] = '修改一个相册';
+$lang['Update categories informations'] = '上传相册信息';
+$lang['reduce to single existing categories'] = '减少现有的单独相册';
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = '显示最全的信息 (添加相册和相片，删除相册和相片)';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory \'thumbnail\' of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = '图片文件需要一个缩略图。缩略图必须放在相册的 \'thumbnail\' 子目录. 缩略图文件名必须与配置相同，其前缀和扩展必须在以下列表:';
+$lang['categories deleted in the database'] = '相册已从数据库删除';
+$lang['categories added in the database'] = '相册已添加到数据库';
+$lang['Virtual category'] = '虚拟相册';
+$lang['Files with same name in more than one physical category'] = '同一个文件名存在于多个物理相册中';
+$lang['[%s] Come to visit the category %s'] = '[%s] 参观相册 %s';
+$lang['Come to discover the category:'] = '探索相册:';
+$lang['edit category informations'] = '修改此相册的信息';
+$lang['No element in this category'] = '没有相片在此相册里';
+$lang['Drop into category'] = '拖进相册';
+$lang['existing category'] = '现有的相册';
+$lang['create a new category'] = '创建一个新相册';
+$lang['Category name'] = '相册名称';
+$lang['Category \'%s\' has been added'] = '相册 \'%s\' 已添加';
+$lang['Category \'%s\' now contains %d photos'] = '相册 \'%s\' 现已包含了 %d 相片';
+$lang['Categories ordered alphanumerically'] = '相册已按字母排序';
+$lang['Categories ordered alphanumerically reverse'] = '相册已按字母倒序排序';
+$lang['%d category updated'] = '%d 相册已更新';
+$lang['%d categories updated'] = '%d 相册已更新';
+$lang['Categories'] = '相册';
+$lang['Category'] = '相册';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'RSS提要，从这个网站上提供新事件的通知：新相片，更新相册，新评论。要使用 RSS 阅读器查看new pictures, updated albums, new comments. To be used with a RSS feed reader.';
+$lang['Expand all categories'] = '展开所有相册';
+$lang['shows images at the root of this category'] = '显示此相册根目录下的相片';
+$lang['in this category'] = '在此相册里';
+$lang['in %d sub-category'] = '在 %d 子相册里';
+$lang['in %d sub-categories'] = '在n %d 子相册里';
+$lang['display all elements in all sub-categories'] = '显示所有相册和子相册的相片';
+$lang['Recent categories'] = '最新的相册';
+$lang['display recently updated categories'] = '显示最近更新的相册';
+$lang['Search in Categories'] = '在相册里搜索';
+$lang['Search in subcategories'] = '在子相册里搜索';
+$lang['set as category representative'] = '设置一个相册代表';
+$lang['Category: %s'] = '相册: %s';
+$lang['Category results for'] = '相册的结果';
+$lang['All sub-categories of private categories become private'] = '相册里的所有子相册都成为私有';
+?>